import { defineComponent, toRefs, openBlock, createElementBlock, unref, createElementVNode } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["fill"];
const _hoisted_7 = ["fill", "cx"];
const _hoisted_8 = ["fill", "cx", "cy"];
const _hoisted_9 = ["fill", "cy"];
const __default__ = defineComponent({ name: "EBorder13" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          width: unref(w),
          height: unref(h)
        }, [
          createElementVNode("polygon", {
            fill: unref(backgroundColor),
            points: `
        7, 7 ${unref(w) - 7}, 7 ${unref(w) - 7}, ${unref(h) - 7} 7, ${unref(h) - 7}
      `
          }, null, 8, _hoisted_3),
          createElementVNode("polyline", {
            stroke: unref(colors)[0],
            points: `2, 2 ${unref(w) - 2} ,2 ${unref(w) - 2}, ${unref(h) - 2} 2, ${unref(h) - 2} 2, 2`
          }, null, 8, _hoisted_4),
          createElementVNode("polyline", {
            stroke: unref(colors)[1],
            points: `6, 6 ${unref(w) - 6}, 6 ${unref(w) - 6}, ${unref(h) - 6} 6, ${unref(h) - 6} 6, 6`
          }, null, 8, _hoisted_5),
          createElementVNode("circle", {
            fill: unref(colors)[0],
            cx: "11",
            cy: "11",
            r: "1"
          }, null, 8, _hoisted_6),
          createElementVNode("circle", {
            fill: unref(colors)[0],
            cx: unref(w) - 11,
            cy: "11",
            r: "1"
          }, null, 8, _hoisted_7),
          createElementVNode("circle", {
            fill: unref(colors)[0],
            cx: unref(w) - 11,
            cy: unref(h) - 11,
            r: "1"
          }, null, 8, _hoisted_8),
          createElementVNode("circle", {
            fill: unref(colors)[0],
            cx: "11",
            cy: unref(h) - 11,
            r: "1"
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
var _EBorder13 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-79830869"]]);
export { _EBorder13 as default };
